Make parseSubmissionURL return the string offset for each search term
For bug 1047469 we need to know where the search terms are in the url string, since this API is already parsing the uri, it would be handy (and simpler) if it would also return a property like "offsets" with the 0-based indices at which each parse term is found (clearly in the same order as they are returned in the  terms property, so we can gather the end offset using the term length.